com::lomiri::location::service::DefaultPermissionManager Class Reference

`#include <default_permission_manager.h>`

Inheritance diagram for com::lomiri::location::service::DefaultPermissionManager:
Collaboration diagram for com::lomiri::location::service::DefaultPermissionManager:

## Public Types

typedef std::shared_ptr< DefaultPermissionManager > | Ptr
Public Types inherited from com::lomiri::location::service::PermissionManager
enum class | Result { granted , rejected }
| The Result enum summarizes the results of a query for permissions. More...
typedef std::shared_ptr< PermissionManager > | Ptr

## Public Member Functions

| DefaultPermissionManager ()
| ~DefaultPermissionManager () noexcept
Result | check_permission_for_credentials (const Criteria &, const Credentials &credentials)
| Checks whether the app with the given credentials is allowed to access the service for the given criteria.
Public Member Functions inherited from com::lomiri::location::service::PermissionManager
virtual | ~PermissionManager ()=default
| PermissionManager (const PermissionManager &)=delete
PermissionManager & | operator= (const PermissionManager &)=delete

## Additional Inherited Members

Protected Member Functions inherited from com::lomiri::location::service::PermissionManager
| PermissionManager ()=default

## Detailed Description

Definition at line 34 of file default_permission_manager.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<DefaultPermissionManager> com::lomiri::location::service::DefaultPermissionManager::Ptr

Definition at line 37 of file default_permission_manager.h.

## Constructor & Destructor Documentation

## DefaultPermissionManager()

com::lomiri::location::service::DefaultPermissionManager::DefaultPermissionManager | ( |  | ) |

## ~DefaultPermissionManager()

com::lomiri::location::service::DefaultPermissionManager::~DefaultPermissionManager | ( |  | ) |

noexcept

## Member Function Documentation

## check_permission_for_credentials()

Result com::lomiri::location::service::DefaultPermissionManager::check_permission_for_credentials | ( | const Criteria & | criteria,
|  | const Credentials & | credentials )

virtual

Checks whether the app with the given credentials is allowed to access the service for the given criteria.

Parameters

  criteria | The requirements of the remote peer.
  credentials | The credentials identifying the remote peer.

Returns
  Result::granted if the remote peer is allowed to access the location service, Result::rejected otherwise.

Implements com::lomiri::location::service::PermissionManager.

References check_permission_for_credentials().

Referenced by check_permission_for_credentials().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- default_permission_manager.h